cc.Class({
    extends: cc.Component,

    properties: {
        label: {
            default: null,
            type: cc.Label
        },
        // defaults, set visually when attaching this script to the Canvas
        text: 'Hello, World!',

        cocos: {
            default: null,
            type: cc.Node
        },

        use_update: false,

    },

    // use this for initialization
    onLoad: function () {
        this.label.string = this.text;


    },

    // called every frame
    update: function (dt) {
        // this.cocos.y += 10 * dt;
        // console.log(`update ${dt}`)
        // console.log(`update this.cocos.y ${this.cocos.y}`)
        if (this.use_update) {
            // this.cocos.y += 10 * dt;
            this.cocos.y += 1;
        }
    },

    onRunAction() {
        this.use_update = false;
        this.cocos.stopAllActions();
        this.cocos.y = -218;
        let positon = new cc.Vec3(this.cocos.x,this.cocos.y + 1000);
        let action = cc.moveTo(100, positon);
        this.cocos.runAction(action);
    },

    onFromUpdate() {
        this.cocos.stopAllActions();
        this.cocos.y = -218;
        this.use_update = true;
    },
});
